package sun.management;

import sun.management.counter.Counter;
import java.util.List;

public interface HotspotClassLoadingMBean
{
    public abstract long getLoadedClassSize();
    
    public abstract long getUnloadedClassSize();
    
    public abstract long getClassLoadingTime();
    
    public abstract long getMethodDataSize();
    
    public abstract long getInitializedClassCount();
    
    public abstract long getClassInitializationTime();
    
    public abstract long getClassVerificationTime();
    
    public abstract List<Counter> getInternalClassLoadingCounters();
}
